package perf::525r5;

use strict;
use modules::perf::Base;

our @ISA = qw/modules::perf::Base/;

sub new
{
  my $class = shift;

  my $self = $class->SUPER::new() or return;

  return $self
}

sub num_instances
{
  my ($self) = @_;

  my $ips = $self->getConfig('ips');

  return 6 if $ips->{engine} eq 'snort';
  return 0
}

sub on_load
{
  my ($self) = @_;

  my $ips = $self->getConfig('ips');
  $self->setConfigPart('ips_status', $ips->{status});

  if ($self->hasChanged('ips_status')) {
    $self->irqd_default_affinity($ips);
  }
}

1
