#
#  Copyright (C) 2000-2011 Astaro GmbH & Co. KG  www.astaro.com
#  For license information look at /doc/astaro-license.txt
#  or http://www.astaro.com/doc/astaro-license.txt
#
# This is the default performance policy used in case no hardware
# specific policy is defined.
package perf::default;

use strict;
use modules::perf::Base;

our @ISA = qw/modules::perf::Base/;

sub new
{
  my $class = shift;

  my $self = $class->SUPER::new() or return;

  return $self
}

sub on_load
{
  my ($self) = @_;

  my $ips = $self->getConfig('ips');
  $self->setConfigPart('ips_status', $ips->{status});

  if ($self->hasChanged('ips_status')) {
    $self->irqd_default_affinity($ips);
  }
}

1
